#$Id: Makefile,v 1.0 1/12/1998 15:23:22 iReady-MWJ Exp $
#Mike Johnson	iReady


TARGET=dsamp.exe
OTHERS=bin2asc.exe lpf.exe adpcm21u.exe adpcm21c.exe adpcm41c.exe adpcm41u.exe asc2wav.exe


### Give a real C compiler.
CC      = gcc
CFLAGS  = -O -c 
LDFLAGS =

LINK      = gcc
LINKFLAGS =
LIBS    =
O=o
RM=rm


OBJS=dsamp.$(O) downsamp.$(O)
DEPEND=wave.h

all: $(TARGET) $(OTHERS)
 
downsamp.$(O) : downsamp.c wave.h
	$(CC) $(CFLAGS) downsamp.c

dsamp.$(O): dsamp.c wave.h
	$(CC) $(CFLAGS) dsamp.c

dsamp.exe : dsamp.$(O) downsamp.$(O)
	$(LINK) $(LINKFLAGS) -o dsamp.exe dsamp.$(O) downsamp.$(O)

bin2asc.exe: bin2asc.c
	$(CC) -o bin2asc.exe bin2asc.c

lpf.exe : lpf.c
	$(CC) -o lpf.exe lpf.c

asc2wav.exe : asc2wav.c
	$(CC) -o asc2wav.exe asc2wav.c

adpcm21u.exe : adpcm21u.c
	$(CC) -o adpcm21u.exe adpcm21u.c

adpcm21c.exe : adpcm21c.c
	$(CC) -o adpcm21c.exe adpcm21c.c

adpcm41u.exe : adpcm41u.c
	$(CC) -o adpcm41u.exe adpcm41u.c

adpcm41c.exe : adpcm41c.c
	$(CC) -o adpcm41c.exe adpcm41c.c

clean:
	$(RM) *.$(O)


